package com.group.robot.matcher.majiang;

import java.util.Arrays;
import java.util.List;

import com.group.robot.RobotManager;
import com.group.robot.matcher.GameRoomMatcher;

/**
 * 长沙麻将房间匹配器 - 专门处理长沙麻将游戏的房间匹配
 */
public class CSMJRoomMatcher extends GameRoomMatcher {
    
    public CSMJRoomMatcher(RobotManager robotManager) {
        super(robotManager);
    }

    @Override
    public List<Integer> getSupportedWanfaIds() {
        return Arrays.asList(10); //长沙麻将
    }
}